Bug 979763 - [engine-setup] setup fails when selinux is disabled
[engine-setup] setup fails when selinux is disabled
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-setup (Show other bugs)
3.3.0
x86_64 Unspecified
unspecified Severity high
: ---
: 3.3.0
Assigned To: Sandro Bonazzola
Lukas Svaty
integration
: Regression
: 902410 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-30 07:19 EDT by Elad
Modified: 2015-09-22 09 EDT (History)
10 users (show)

See Also:
Fixed In Version: is7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 12:32:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
engine-setup log (8.29 KB, application/x-gzip)
2013-06-30 07:19 EDT, Elad
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 16771 None None None Never

  None (edit)
Description Elad 2013-06-30 07:19:48 EDT
Created attachment 767036 [details]
engine-setup log

Description of problem:
When selinux is disabled, engines-setup fails with:

2013-06-30 14:01:09::DEBUG::setup_sequences::62::root:: Traceback (most recent call last):
  File "/usr/share/ovirt-engine/scripts/setup_sequences.py", line 60, in run
    function()
  File "/usr/bin/engine-setup", line 733, in _redirectUrl
    if controller.CONF["OVERRIDE_HTTPD_ROOT"] == "yes":
KeyError: 'OVERRIDE_HTTPD_ROOT'

2013-06-30 14:01:09::DEBUG::engine-setup::2005::root:: *** The following params were used as user input:
2013-06-30 14:01:09::DEBUG::engine-setup::2010::root:: random-passwords: no
2013-06-30 14:01:09::DEBUG::engine-setup::2010::root:: mac-range: 00:1A:4A:23:A1:00-00:1A:4A:23:A1:FF
2013-06-30 14:01:09::DEBUG::engine-setup::2010::root:: host-fqdn: vm-161-52.scl.lab.tlv.redhat.com
2013-06-30 14:01:09::DEBUG::engine-setup::2010::root:: auth-pass: ********
2013-06-30 14:01:09::DEBUG::engine-setup::2010::root:: org-name: qa.lab.tlv.redhat.com
2013-06-30 14:01:09::DEBUG::engine-setup::2010::root:: application-mode: both
2013-06-30 14:01:09::DEBUG::engine-setup::2010::root:: default-dc-type: NFS
2013-06-30 14:01:09::DEBUG::engine-setup::2010::root:: db-remote-install: local
2013-06-30 14:01:09::DEBUG::engine-setup::2010::root:: db-host: localhost
2013-06-30 14:01:09::DEBUG::engine-setup::2010::root:: db-local-pass: ********
2013-06-30 14:01:09::DEBUG::engine-setup::2010::root:: nfs-mp: /var/lib/exports/iso_2013_06_30_13_59_00
2013-06-30 14:01:09::DEBUG::engine-setup::2010::root:: iso-domain-name: ISO_DOMAIN
2013-06-30 14:01:09::DEBUG::engine-setup::2010::root:: config-nfs: yes
2013-06-30 14:01:09::DEBUG::engine-setup::2010::root:: firewall-manager: iptables
2013-06-30 14:01:09::ERROR::engine-setup::2471::root:: Traceback (most recent call last):
  File "/usr/bin/engine-setup", line 2465, in <module>
    main(confFile)
  File "/usr/bin/engine-setup", line 2225, in main
    runSequences()
  File "/usr/bin/engine-setup", line 2141, in runSequences
    controller.runAllSequences()
  File "/usr/share/ovirt-engine/scripts/setup_controller.py", line 54, in runAllSequences
    sequence.run()
  File "/usr/share/ovirt-engine/scripts/setup_sequences.py", line 154, in run
    step.run()
  File "/usr/share/ovirt-engine/scripts/setup_sequences.py", line 60, in run
    function()
  File "/usr/bin/engine-setup", line 733, in _redirectUrl
    if controller.CONF["OVERRIDE_HTTPD_ROOT"] == "yes":
KeyError: 'OVERRIDE_HTTPD_ROOT'



Version-Release number of selected component (if applicable):
rhevm-3.3.0-0.5.master.el6ev.noarch

How reproducible:
100%

Steps to Reproduce:
1.disable selinux
2.run engine-setup (rhevm-setup)

Actual results:
engine is failing to configure HTTPD:

Installing:
Configuring RHEV Manager...                             [ DONE ]
Configuring JVM...                                      [ DONE ]
Creating CA...                                          [ DONE ]
Updating ovirt-engine service...                        [ DONE ]
Setting Database Configuration...                       [ DONE ]
Setting Database Security...                            [ DONE ]
Upgrading Database Schema...                            [ DONE ]
Editing RHEV Manager Configuration...                   [ DONE ]
Editing Postgresql Configuration...                     [ DONE ]
Configuring the Default ISO Domain...                   [ DONE ]
Configuring Firewall...                                 [ DONE ]
Starting ovirt-engine Service...                        [ DONE ]
Configuring HTTPD...                                 [ ERROR ]  
'OVERRIDE_HTTPD_ROOT'                                           
Please check log file /var/log/ovirt-engine/engine-setup_2013_06_30_13_58_59.log for more information


Expected results:
engine-setup should be successful with selinux in disabled

Additional info:
engine-setup log
Comment 4 Yedidyah Bar David 2013-08-11 08:04:56 EDT
*** Bug 902410 has been marked as a duplicate of this bug. ***
Comment 5 Lukas Svaty 2013-09-04 11:07:32 EDT
verified in is12
rhevm-setup-3.3.0-0.18.master.el6ev.noarch
Comment 6 Charlie 2013-11-27 19:22:53 EST
This bug is currently attached to errata RHEA-2013:15231. If this change is not to be documented in the text for this errata please either remove it from the errata, set the requires_doc_text flag to minus (-), or leave a "Doc Text" value of "--no tech note required" if you do not have permission to alter the flag.

Otherwise to aid in the development of relevant and accurate release documentation, please fill out the "Doc Text" field above with these four (4) pieces of information:

* Cause: What actions or circumstances cause this bug to present.
* Consequence: What happens when the bug presents.
* Fix: What was done to fix the bug.
* Result: What now happens when the actions or circumstances above occur. (NB: this is not the same as 'the bug doesn't present anymore')

Once filled out, please set the "Doc Type" field to the appropriate value for the type of change made and submit your edits to the bug.

For further details on the Cause, Consequence, Fix, Result format please refer to:

https://bugzilla.redhat.com/page.cgi?id=fields.html#cf_release_notes 

Thanks in advance.
Comment 7 Sandro Bonazzola 2013-12-05 07:15:27 EST
this bug appeared while developing 3.3, didn't affect customers, no need to mention in errata.
Comment 8 errata-xmlrpc 2014-01-21 12:32:40 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-0038.html

Note You need to log in before you can comment on or make changes to this bug.